.cafeCard {
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 8px;
    overflow: hidden;
    cursor: pointer;

    &__name {
        font-weight: 400;
        font-size: 22px;
        line-height: 28px;
        letter-spacing: 0.1px;
        margin-bottom: 2px;       
    }

    &__imageWrapper {
        min-height: 120px;
        max-height: 260px;
        aspect-ratio: 2 / 1;
        position: relative;

        >.cafeCard__badges {
            position: absolute;
            bottom: 0;
            padding: 8px 8px;
            width: 100%;
        }
    }

    &__info {
        padding: 16px;
    }

    &__image {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
 
    &__badges {
        display: flex;
        justify-content: space-between;

        > div {
            display: flex;
            gap: 4px;
        }
    }

    &__costRating {
        &:first-child {
            font-weight: 500;
            letter-spacing: 0.4px;
            color: #444444;
        }
        &:last-child {
            font-weight: 300;
            letter-spacing: 0.4px;
            color: #999;
        }
    }

    &__likeBtn {
        padding: 0 !important;
        width: 40px !important;
        height: 40px !important;
        border-radius: 20px !important;
        position: absolute;
        bottom: 0;
        transform: translateY(50%);
        right: 16px;
        border: 1px solid #d1d7d9 !important;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.15);

        &--active {
            border: 1px solid #FFE5E5 !important;
            box-shadow: 0px 4px 8px rgba(191, 0, 0, 0.15);
            background: #FFF5F5 !important;
        }
    }

    &__rating {
        display: flex !important;
        gap: 4px;

        &--0{
            color: #AA3434; 
        }
        &--1{
            color: #D05E1E; 
        }
        &--2{
            color: #E1B51A; 
        }
        &--3{
            color: #94A629; 
        }
        &--4{
            color: #3D9E0F; 
        }
    }

    &__badge {
        img {
            height: 16px;
            width: 16px;
        }
    }

    &__cats {
        display: flex;
        flex-wrap: wrap;
        gap: 6px;
        font-weight: 300;
        font-size: 12px;
        line-height: 16px;
        letter-spacing: 0.4px;
        color: #8A8A8A;
        margin-bottom: 8px;
        margin-top: 2px;

        > span {
            &:not(:first-child)::before {
                content: '·';
                margin-right: 6px;
            }
        }
    }
}